## xpm examples

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl /main/243 1996/11/13 14:42:56 lehors $
#

all::

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/26 1996/09/28 16:05:09 rws $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/166 1996/11/13 14:43:18 lehors $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit hp.cf to change

# platform:  $XConsortium: hp.cf /main/82 1996/12/04 10:10:30 swick $

# operating system:  HP-UX B.10.01 C 9000/715 (10.0.1)

# $XConsortium: hpLib.rules /main/16 1996/12/04 11:44:35 swick $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/166 1996/11/13 14:43:18 lehors $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules /main/217 1996/12/05 09:48:26 kaleb $

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
    EXPORTLISTGEN = exportlistgen
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend

          INCROOT = /X11/include
        USRLIBDIR = /X11/lib
         SHLIBDIR = /X11/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/local/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = cc
               AS = as

.SUFFIXES: .cc

              CXX = /usr/bin/CC
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = +O1
CXXDEPENDINCLUDES = -I/usr/include/CC
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dhpux -DSYSV $(CXXPROJECT_DEFINES)
       CXXOPTIONS = -Aa
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
             GZIP = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = bsdinst
     INSTALLFLAGS = -c
               LD = ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

               RM = rm -f
        MANSUFFIX = n
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

           PROOF = proof
    PROOFOPTIONS =

     STD_INCLUDES =
  STD_CPP_DEFINES = -Dhpux -DSYSV $(PROJECT_DEFINES)
      STD_DEFINES = -Dhpux -DSYSV $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

           MFLAGS = -$(MAKEFLAGS)

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -b

         PICFLAGS = +z

      CXXPICFLAGS = +z

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0555
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /X11

      CDEBUGFLAGS = +O1
        CCOPTIONS = -Ae +ESlit

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = hp.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl  			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE)  			$(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $XConsortium: X11.rules /main/2 1996/12/04 10:13:00 swick $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: X11.tmpl /main/289 1996/12/09 16:34:08 kaleb $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /X11/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES =

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(XTOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver
       CONTRIBSRC = $(XTOP)/../contrib
   UNSUPPORTEDSRC = $(XTOP)/unsupported
           DOCSRC = $(XTOP)/doc
           RGBSRC = $(XTOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(XTOP)/include/fonts
        EXTINCSRC = $(XTOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

       XENVLIBDIR = $(USRLIBDIR)
   CLIENTENVSETUP = SHLIB_PATH=$(XENVLIBDIR)

# $XConsortium: hpLib.tmpl /main/10 1996/12/04 11:57:22 swick $

          XLIBSRC = $(LIBSRC)/X11

 SOXLIBREV = 6.1
 DEPXONLYLIB =
 XONLYLIB =  -lX11

 LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

 SOXEXTREV = 6.3
 DEPEXTENSIONLIB =
 EXTENSIONLIB =  -lXext

 LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

 DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
 XAUTHLIB =  -lXau

 LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

 DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
 XDMCPLIB =  -lXdmcp

 LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

 SOXMUREV = 6.0
 DEPXMULIB =
 XMULIB =  -lXmu

 LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

 SOOLDXREV = 6.0
 DEPOLDXLIB =
 OLDXLIB =  -loldX

 LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

         XPLIBSRC = $(LIBSRC)/Xp

 SOXPREV = 6.2
 DEPXPLIB =
 XPLIB =  -lXp

 LINTXP = $(LINTLIBDIR)/llib-lXp.ln

       TOOLKITSRC = $(LIBSRC)/Xt

 SOXTREV = 6.0
 DEPXTOOLONLYLIB =
 XTOOLONLYLIB =  -lXt

 LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       XALIBSRC = $(LIBSRC)/Xa

 SOXAREV = 1.0
 DEPXALIB =
 XALIB =  -lXa

 LINTXA = $(LINTLIBDIR)/llib-lXa.ln

       AWIDGETSRC = $(LIBSRC)/Xaw

 SOXAWREV = 6.1
 DEPXAWLIB =
 XAWLIB =  -lXaw

 LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

         XILIBSRC = $(LIBSRC)/Xi

 SOXINPUTREV = 6.0
 DEPXILIB =
 XILIB =  -lXi

 LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

 SOXTESTREV = 6.1
 DEPXTESTLIB =
 XTESTLIB =  -lXtst

 LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

 SOPEXREV = 6.0
 DEPPEXLIB =
 PEXLIB =  -lPEX5

 LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

 SOXIEREV = 6.0
 DEPXIELIB =
 XIELIB =  -lXIE

 LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

 DEPPHIGSLIB = $(USRLIBDIR)/libphigs.a
 PHIGSLIB =  -lphigs

 LINTPHIGS = $(LINTLIBDIR)/llib-lphigs.ln

 DEPXBSDLIB = $(USRLIBDIR)/libXbsd.a
 XBSDLIB =  -lXbsd

 LINTXBSD = $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

 SOICEREV = 6.3
 DEPICELIB =
 ICELIB =  -lICE

 LINTICE = $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

 SOSMREV = 6.0
 DEPSMLIB =
 SMLIB =  -lSM

 LINTSM = $(LINTLIBDIR)/llib-lSM.ln

           XKEYSRC = $(LIBSRC)/Xkey

 SOXKEYREV = 6.0
 DEPXKEYLIB =
 XKEYLIB =  -lXkey

 LINTXKEY = $(LINTLIBDIR)/llib-lXkey.ln

         FSLIBSRC = $(LIBSRC)/FS

 DEPFSLIB = $(USRLIBDIR)/libFS.a
 FSLIB =  -lFS

 LINTFS = $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

 DEPFONTLIB = $(USRLIBDIR)/libfont.a
 FONTLIB =  -lfont

 LINTFONT = $(LINTLIBDIR)/llib-lfont.ln

    XKBFILELIBSRC = $(LIBSRC)/xkbfile

 DEPXKBFILELIB = $(USRLIBDIR)/libxkbfile.a
 XKBFILELIB =  -lxkbfile

 LINTXKBFILE = $(LINTLIBDIR)/llib-lxkbfile.ln

     XKBCOMPCMD = xkbcomp

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)
         DEPLIBS4 = $(DEPLIBS)
         DEPLIBS5 = $(DEPLIBS)
         DEPLIBS6 = $(DEPLIBS)
         DEPLIBS7 = $(DEPLIBS)
         DEPLIBS8 = $(DEPLIBS)
         DEPLIBS9 = $(DEPLIBS)
         DEPLIBS10 = $(DEPLIBS)

        CONFIGDIR = $(LIBDIR)/config

    USRLIBDIRPATH = $(USRLIBDIR)
        LDPRELIBS = -L$(USRLIBDIR)
       LDPOSTLIBS =
     TOP_INCLUDES = -I$(INCROOT) $(TOP_X_INCLUDES)
  PROJECT_DEFINES =

CXXPROJECT_DEFINES =

# ----------------------------------------------------------------------
# start of Imakefile

      XPMLIBDIR = /usr/local/lib
      XPMINCDIR = /usr/local/include

## xpm 3.5.2-1sdk1

=== debian/changelog ===
xpm (1:3.5.2-1sdk1) unstable; urgency=low

  * Cleanup.

 -- Maemo Integration <integration@maemo.org>  Tue, 10 Jan 2006 15:20:14 +0200

xpm (1:3.5.2-1) unstable; urgency=low

  * Iclude fixes for CAN-2005-0605

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 17 May 2005 14:47:00 +0300

xpm (1:3.5.1-1) unstable; urgency=low

  * Initial Release.

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed,  1 Sep 2004 20:41:59 +0300

=== debian/control ===
Source: xpm
Section: x11
Priority: optional
Maintainer: Riku Voipio <ext-riku.voipio@nokia.com>
Build-Depends: x-build, libx11-dev
Standards-Version: 3.6.1.1

Package: libxpm4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xlibs (<< 4.3.0)
Replaces: xlibs (<< 4.3.0)
Description: X pixmap library
 libXpm, the X pixmap library, is a set of routines used to store and retrieve
 X pixmaps (an X Window System data structure comprising a rectangular array
 of pixels) from files; the xpm file format is an extension of the monochrome
 bitmap file format in the X11 specification.  (Traditionally, libXpm was
 maintained and distributed separately from the X Window System, but XFree86
 has absorbed this library).

Package: libxpm4-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libxpm4 (= ${Source-Version}), ${misc:Depends}
Conflicts: xlibs-dbg (<< 4.3.0)
Replaces: xlibs-dbg (<< 4.3.0)
Description: X pixmap library (unstripped)
 This package is useful to provide a backtrace with symbol names in a
 debugger; this facilitates interpretation of core dumps, and aids in finding
 logic errors in programs using this library (or the library itself).  The
 library is installed in /usr/X11R6/lib/debug and can be used by placing that
 directory in the LD_LIBRARY_PATH environment variable when the code to
 be debugged is executed.
 .
 Non-programmers will likely have little use for this package.  See the
 libxpm4 package for further information.

Package: libxpm-dev
Section: libdevel
Architecture: any
Depends: libxpm4 (= ${Source-Version}), libx11-dev, libc6-dev | libc-dev
Conflicts: xlibs-dev (<< 4.3.0)
Replaces: xlibs-dev (<< 4.3.0)
Description: X pixmap library development files
 Header files and a static version of the Xpm library are provided by this
 package.
 .
 See the libxpm4 package for further information.

## xpm 3.5.2-2.1

=== debian/changelog ===
xpm (1:3.5.2-2.1) unstable; urgency=low

  * Cleanups

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 15 Jun 2006 13:55:44 +0300

xpm (1:3.5.2-2) unstable; urgency=low

  * Change Maintainer to myself.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 15 Mar 2006 09:38:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xpm
 Section: x11
 Priority: optional
-Maintainer: Riku Voipio <ext-riku.voipio@nokia.com>
+Maintainer: Daniel Stone <daniel.stone@nokia.com>
 Build-Depends: x-build, libx11-dev
 Standards-Version: 3.6.1.1

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/xlibs.mk

#DEB_DH_STRIP_ARGS := --dbg-package=libxpm4
#DEB_SHLIBDEPS_INCLUDE := debian/libxpm4/usr/lib
